%global npm_name inherits

Summary:       Browser-friendly inheritance
Name:          nodejs-%{npm_name}
Version:       2.0.1
Release:       1%{?dist}
License:       MIT
URL:           https://github.com/isaacs/inherits
Source0:       http://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
ExclusiveArch: %{nodejs_arches} noarch
BuildArch:     noarch
Provides:      nodejs-%{npm_name} = %{version}

%description
Browser-friendly inheritance fully compatible with standard 
node.js inherits()

This package exports standard inherits from node.js util module 
in node environment, but also provides alternative browser-friendly 
implementation through browser field. Alternative implementation 
is a literal copy of standard one located in standalone module to 
avoid requiring of util. It also has a shim for old browsers with 
no Object.create support.

While keeping you sure you are using standard inherits implementation 
in node.js environment, it allows bundlers such as browserify to not 
include full util package to your client code if all you need is just 
inherits function. It worth, because browser shim for util package is 
large and inherits is often the single function you need from it.

It's recommended to use this package instead of require('util').inherits 
for any code that has chances to be used not only in node.js but in browser too.

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pr inherits_browser.js inherits.js package.json test.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%files
%doc LICENSE README.md
%{nodejs_sitelib}/%{npm_name}

%changelog
* Thu Sep 10 2015 Troy Dawson <tdawson@redhat.com> - 2.0.1-1
- Initial package
